Skip to main content
POST
/
v1
/
contracts
/
commits
/
threshold-billing
/
release
Release external payment gate threshold commit
curl --request POST \
  --url https://api.metronome.com/v1/contracts/commits/threshold-billing/release \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workflow_id": "5576ba1f-4a33-b473-3f05-6162d87b4a33",
  "outcome": "paid"
}
'
import requests

url = "https://api.metronome.com/v1/contracts/commits/threshold-billing/release"

payload = {
"workflow_id": "5576ba1f-4a33-b473-3f05-6162d87b4a33",
"outcome": "paid"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_id: '5576ba1f-4a33-b473-3f05-6162d87b4a33', outcome: 'paid'})
};

fetch('https://api.metronome.com/v1/contracts/commits/threshold-billing/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Information to identify the workflow that is in progress to release the commit, and what action we should take to complete the workflow.

workflow_id
string<uuid>
required

ID of the workflow to continue

outcome
enum<string>
required

The outcome of the external payment gate

Available options:
paid,
PAID,
failed,
FAILED

Response

200

Success